List widget annotations
GET
/v1/widgetannotation/
const url = 'https://example.com/v1/widgetannotation/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/widgetannotation/ \ --header 'Authorization: Bearer <token>'Return all widget annotations for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”agent
string format: uuid
cursor
string
The pagination cursor value.
page_size
integer
Number of results to return per page.
search
string
A search term.
title
string
widget
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
agent
string format: uuid
description
string
end_time
required
string format: date-time
id
required
string format: uuid
outage
boolean
start_time
required
string format: date-time
title
required
string
widget
required
string format: uuid
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"}